package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSopoPushTriggerRequest struct {
	/*
	   系统自动生成     */
	WdkOpenPushSoPoRequest *domain.AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest `json:"wdk_open_push_so_po_request,omitempty" required:"false" `
}

func (s *AlibabaWdkSopoPushTriggerRequest) SetWdkOpenPushSoPoRequest(v domain.AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest) *AlibabaWdkSopoPushTriggerRequest {
	s.WdkOpenPushSoPoRequest = &v
	return s
}

func (req *AlibabaWdkSopoPushTriggerRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.WdkOpenPushSoPoRequest != nil {
		paramMap["wdk_open_push_so_po_request"] = util.ConvertStruct(*req.WdkOpenPushSoPoRequest)
	}
	return paramMap
}

func (req *AlibabaWdkSopoPushTriggerRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
